%{?scl:%scl_package eclipse-m2e-buildhelper}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%global commit 2dbbbb758f72c7665f590feec7f84e855c7b9951
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}eclipse-m2e-buildhelper
Version:        0.15.0
Release:        0.10.git%{shortcommit}.%{baserelease}%{?dist}
Summary:        M2E Build Helper connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-buildhelper/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-buildhelper/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}tycho
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.jdt)



%description
This package provides Build Helper connector for Eclipse M2E.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n m2eclipse-buildhelper-%{commit}
find -name *.jar -delete

# Replace tycho support parent
%pom_remove_parent
%pom_xpath_inject "pom:project" "
<build>
<plugins>
  <plugin>
    <groupId>org.eclipse.tycho</groupId>
    <artifactId>tycho-maven-plugin</artifactId>
    <version>0.21.0</version>
    <extensions>true</extensions>
  </plugin>
</plugins>
</build>"

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.buildhelper.tests
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -j
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%doc org.sonatype.m2e.buildhelper.feature/license.html

%changelog
* Tue Jun 12 2018 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.10.git2dbbbb7.1
- Auto SCL-ise package for rh-eclipse48 collection

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.10.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.9.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.7.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.6.git2dbbbb7
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.15.0-0.5.git2dbbbb7
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.4.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.3.git2dbbbb7
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-0.2.git2dbbbb7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git2dbbbb7
- Initial commit
